GET
/
api
/
v1
/
facets
/
photographers
/
{username}
Get a photographer's profiles
curl --request GET \
  --url https://api.pexafy.com/api/v1/facets/photographers/{username} \
  --header 'x-api-key: <api-key>'
import requests

url = "https://api.pexafy.com/api/v1/facets/photographers/{username}"

headers = {"x-api-key": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};

fetch('https://api.pexafy.com/api/v1/facets/photographers/{username}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
<?php

$curl = curl_init();

curl_setopt_array($curl, [
CURLOPT_URL => "https://api.pexafy.com/api/v1/facets/photographers/{username}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"x-api-key: <api-key>"
],
]);

$response = curl_exec($curl);
$err = curl_error($curl);

curl_close($curl);

if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}
package main

import (
"fmt"
"net/http"
"io"
)

func main() {

url := "https://api.pexafy.com/api/v1/facets/photographers/{username}"

req, _ := http.NewRequest("GET", url, nil)

req.Header.Add("x-api-key", "<api-key>")

res, _ := http.DefaultClient.Do(req)

defer res.Body.Close()
body, _ := io.ReadAll(res.Body)

fmt.Println(string(body))

}
HttpResponse<String> response = Unirest.get("https://api.pexafy.com/api/v1/facets/photographers/{username}")
.header("x-api-key", "<api-key>")
.asString();
require 'uri'
require 'net/http'

url = URI("https://api.pexafy.com/api/v1/facets/photographers/{username}")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["x-api-key"] = '<api-key>'

response = http.request(request)
puts response.read_body
{
  "success": true,
  "data": [
    {
      "username": "aaronburden",
      "full_name": "Aaron Burden",
      "source": "Pexels",
      "url": "https://www.pexels.com/@aaronburden",
      "photos_count": 15
    },
    {
      "username": "aaronburden",
      "full_name": "Aaron Burden",
      "source": "Unsplash",
      "url": "https://unsplash.com/@aaronburden",
      "photos_count": 49
    }
  ],
  "meta": {
    "request_id": "95680290-a009-4d0e-8a0f-56c580d47336",
    "took_ms": 3.28
  },
  "error": null
}
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}

Authorizations

x-api-key
string
header
required

Pass your Pexafy API key in this header.

Get your API key at pexafy.com/dashboard/api-keys/create.

Path Parameters

username
string
required

The photographer's exact username, as returned by the suggest endpoint or found on a photo.

Response

Successful Response

success
boolean
data
object[]
meta
object
error
object | null